from ...common.sync_node import SyncNode
from schemas.construction.construction import ConstructionResponse


class ConstructionTaskSyncNode(SyncNode[ConstructionResponse]):
    """施工任务同步节点"""
    node_type = "construction_task"
    schema = ConstructionResponse
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)
